Bug 158105 - Networking confusion when "not onboot" is selected
Networking confusion when "not onboot" is selected
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
 
Reported: 2005-05-18 14:17 EDT by Konstantin Ryabitsev
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 14:53:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2005-05-18 14:17:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
When doing my test installs in text mode, I have unchecked "bring up on boot" for my wireless card, and in the ensuing screens I was not able to select "use dhcp for this card," it was insisting on making me type in manual network configuration. Only when I went back and checked the "bring up on boot" was I able to select the "use DHCP" setting.

I've not gone back and tried it again, but it may be something you want to poke at.

Version-Release number of selected component (if applicable):
devel as of May 16

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:
Comment 1 Jeremy Katz 2005-05-19 11:27:30 EDT
I don't see this here.  Bring up on boot and IP config should be on the same
screen.  I'm even seeing DHCP selected by default with active on boot not being
default.

How many NICs are in the machine?
Comment 2 Konstantin Ryabitsev 2005-05-19 13:09:54 EDT
eth0: ethernet
eth1: wireless

installation going over eth1, and that's the one I've had problems with. If you
can't recreate it, then I'll try to see if I can... That happens before actual
reformatting, right? I just got my laptop to the point where it's useful, and
I'd rather not wipe things all over again. :)
Comment 3 Jeremy Katz 2005-05-19 13:56:23 EDT
Yeah, it's before formatting
Comment 4 Konstantin Ryabitsev 2005-05-19 14:32:06 EDT
Yeah, it's definitely there. Here's how it proceeds.

Config screen for eth0 (not used, ethernet):

[*] Configure using DHCP
[ ] Activate on boot

Click "OK". Proceeds to "Network configuration for eth1":

[*] Configure using DHCP
[ ] Activate on boot

IP Address __(greyed out)__
Netmask __(greyed out)__
ESSID _DUKE______
Encryption Key ____________

Click "OK". Next screen "Miscellaneous Network Settings", where it asks me to
set Gateway, Primary DNS, Secondary DNS, Tertiary DNS.  If I click OK on that
screen, without filling out any fields, I get to "Hostname Configuration" where
"( ) automatically via DHCP" is greyed out, and only the (*) manually is
selected. At that point I can back up to the "eth1 configuration" screen and
select "Activate on boot" which brings me directly to the "Hostname
Configuration" screen with "(*) automatically via DHCP" already pre-selected.

It seems that unchecking "Activate on boot" for eth1 will force it into manual
configuration mode.

HTH.
Comment 5 Jeremy Katz 2005-05-19 14:53:08 EDT
That's expected... you have to have a hostname set for the machine.  If you're
not starting any network devices onboot, then you need to give a hostname.
Comment 6 Konstantin Ryabitsev 2005-05-19 14:56:54 EDT
Okay, I see the error of my ways.

Note You need to log in before you can comment on or make changes to this bug.